Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Interface MapDifference.ValueDifference<V>

Enclosing interface:
  MapDifference<K,V>

    public static interface MapDifference.ValueDifference<V>

A difference between the mappings from two maps with the same key. The `leftValue()` and `rightValue()` are not equal, and one but not both of them may be null.

Since:
  2.0 (imported from Google Collections Library)

Method Summary
`boolean` | `equals(Object other)` Two instances are considered equal if their `leftValue()` values are equal and their `rightValue()` values are also equal.
`int` | `hashCode()` The hash code equals the value `Arrays.asList(leftValue(), rightValue()).hashCode()`.
`V` | `leftValue()` Returns the value from the left map (possibly null).
`V` | `rightValue()` Returns the value from the right map (possibly null).

Method Detail

### leftValue

    V leftValue()

  Returns the value from the left map (possibly null).

### rightValue

    V rightValue()

  Returns the value from the right map (possibly null).

### equals

    boolean equals(@Nullable
                   Object other)

  Two instances are considered equal if their `leftValue()` values are equal and their `rightValue()` values are also equal.

  Overrides:
    `equals` in class `Object`

### hashCode

    int hashCode()

  The hash code equals the value `Arrays.asList(leftValue(), rightValue()).hashCode()`.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.